Product Robot Tokens

Create product robot API token

Creates a new API token for the robot user attached to the product. Maximum 2 active tokens allowed.

POST
/api/v2/products/{uid}/robot-tokens

Authorization

BearerAuthObject
AuthorizationBearer <token>

In: header

Path Parameters

uid*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/products/string/robot-tokens" \  -H "Content-Type: application/json" \  -d '{    "name": "CI integration"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "createdAt": "2019-08-24T14:15:22Z",  "expiresAt": "2019-08-24T14:15:22Z",  "token": "string"}
Empty
{  "message": {    "error": "Your request was made with invalid credentials."  }}
{  "message": {    "error": "You are not allowed to perform this action."  }}
Empty
Empty
{  "message": {    "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}"  }}